Summary:	Execute a file taking its arguments from a string
Summary(pl.UTF-8):	Wywołanie pliku z jego argumentami z łańcucha znaków
Name:		s2argv-execs
Version:	1.4
Release:	1
License:	LGPL v2.1+
Group:		Libraries
#Source0Download: https://github.com/virtualsquare/s2argv-execs/tags
Source0:	https://github.com/virtualsquare/s2argv-execs/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	8005a50f68f4d651ec2ecfccd92c2524
URL:		https://github.com/virtualsquare/s2argv-execs
BuildRequires:	cmake >= 3.12
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
s2argv converts a command string into an argv array for execv, execvp,
execvpe. execs is like execv taking a string instead of an argv.
Similarly execsp and execspe are the counterpart of execvp and
execvpe, respectively, using command strings.

%description -l pl.UTF-8
s2argv przekształca łańcuch polecenia na tablicę argv dla execv,
execvp, execvpe. execs to odpowiednik execv, przyjmujący łańcuch
zamiast argv. Podobnie execsp i execspe to odpowiedniki execvp oraz
execvpe, przjmujące łańcuchy poleceń.

%package devel
Summary:	Header file for execs libraries
Summary(pl.UTF-8):	Plik nagłówkowy bibliotek execs
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header file for execs libraries.

%description devel -l pl.UTF-8
Plik nagłówkowy bibliotek execs.

%package static
Summary:	Static execs libraries
Summary(pl.UTF-8):	Statyczne biblioteki execs
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static execs libraries.

%description static -l pl.UTF-8
Statyczne biblioteki execs.

%prep
%setup -q

%build
install -d build
cd build
%cmake ..

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_libdir}/libexecs.so.*.*.*
%ghost %{_libdir}/libexecs.so.1
%attr(755,root,root) %{_libdir}/libexecs-embedded.so.*.*.*
%ghost %{_libdir}/libexecs-embedded.so.1

%files devel
%defattr(644,root,root,755)
%{_libdir}/libexecs.so
%{_libdir}/libexecs-embedded.so
%{_includedir}/execs.h
%{_mandir}/man3/coproc*.3*
%{_mandir}/man3/eexecs*.3*
%{_mandir}/man3/esystem.3*
%{_mandir}/man3/execs*.3*
%{_mandir}/man3/pclose_execs*.3*
%{_mandir}/man3/pclose_nosh.3*
%{_mandir}/man3/popen_execs*.3*
%{_mandir}/man3/popen_nosh.3*
%{_mandir}/man3/s2argv.3*
%{_mandir}/man3/system_eexecsp.3*
%{_mandir}/man3/system_execs*.3*
%{_mandir}/man3/system_nosh.3*
%{_mandir}/man3/system_safe.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libexecs.a
%{_libdir}/libexecs-embedded.a
%changelog
* Mon Mar 31 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/s2argv-execs.git;a=log;h=master

* Mon Mar 31 2025 Jakub Bogusz <qboosh@pld-linux.org> 8404924
- new

